GET
/
api
/
v1
/
auth
/
context
Get auth context
curl --request GET \
  --url http://34.170.194.254:8000/api/v1/auth/context \
  --header 'Authorization: Bearer <token>'
{
  "subject": "<string>",
  "client_id": "<string>",
  "party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "roles": [
    "<string>"
  ],
  "scopes": [
    "<string>"
  ],
  "auth_method": "<string>",
  "mfa_enabled": true,
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "must_set_password": true,
  "first_name": "<string>",
  "last_name": "<string>",
  "contact_number": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Auth context

Auth Context Response schema.

subject
string
required

Authenticated subject identifier

client_id
string
required

Client identifier

party_id
string<uuid>
required

Vault party identifier

roles
string[]
required

Resolved role grants

scopes
string[]
required

Resolved scope grants

auth_method
string
required

Authentication method used

mfa_enabled
boolean | null

MFA enrollment state for the current local user; null for API-key / non-local principals

user_id
string<uuid> | null

Local user identifier; null for API-key / non-local principals

email
string | null

Email on file for the local user; null when missing or for API-key principals

must_set_password
boolean | null

True for invite-pending users; null for API-key principals

first_name
string | null

Given name (optional)

last_name
string | null

Family name (optional)

contact_number
string | null

Contact phone number (optional)